#include "standard_autocomplete.hpp"

#include "servers.hpp"
#include "services.hpp"
void dropshell::std_autocomplete(const std::vector<std::string> &name_list, const CommandContext &ctx)
{
    if (ctx.args.size() == 1) {
        // edit command
        for (const auto& name : name_list) {
            std::cout << name << std::endl; 
        }
    }
    else if (ctx.args.size() == 2) {
        // list servers
        std::vector<ServerInfo> servers = get_configured_servers();
        for (const auto& server : servers) {
            std::cout << server.name << std::endl;
        }
    }
    else if (ctx.args.size() == 3) {
        // list services
        std::vector<LocalServiceInfo> services = get_server_services_info(ctx.args[2]);
        for (const auto& service : services) {
            std::cout << service.service_name << std::endl;
        }
    }
}